# magick-type.h File Reference

`#include "magick/magick-config.h"`

Go to the source code of this file.

## Defines

#define | MagickLLConstant(c) (MagickOffsetType) (c ## LL)
#define | MagickULLConstant(c) (MagickSizeType) (c ## ULL)
#define | MagickEpsilon 1.0e-10
#define | MagickHuge 1.0e12
#define | MaxColormapSize 65536UL
#define | MaxMap 65535UL
#define | QuantumRange 65535UL
#define | QuantumFormat "%u"
#define | MaxRGB QuantumRange
#define | MagickSizeFormat "%10llu"

## Typedefs

typedef double | MagickRealType
typedef unsigned short | Quantum
typedef unsigned long | QuantumAny
typedef unsigned int | MagickStatusType
typedef long long | MagickOffsetType
typedef unsigned long long | MagickSizeType
typedef struct _BlobInfo | BlobInfo
typedef struct _ExceptionInfo | ExceptionInfo
typedef struct _Image | Image
typedef struct _ImageInfo | ImageInfo

## Enumerations

enum | ChannelType { UndefinedChannel, RedChannel = 0x0001, GrayChannel = 0x0001, CyanChannel = 0x0001, GreenChannel = 0x0002, MagentaChannel = 0x0002, BlueChannel = 0x0004, YellowChannel = 0x0004, AlphaChannel = 0x0008, OpacityChannel = 0x0008, MatteChannel = 0x0008, BlackChannel = 0x0020, IndexChannel = 0x0020, AllChannels = 0xff, DefaultChannels = (AllChannels &~ OpacityChannel) }
enum | ClassType { UndefinedClass, DirectClass, PseudoClass }
enum | MagickBooleanType { MagickFalse = 0, MagickTrue = 1 }

## Define Documentation

#define MagickEpsilon 1.0e-10

#define MagickHuge 1.0e12

#define MagickLLConstant | ( | c |  | ) | (MagickOffsetType) (c ## LL)

#define MagickSizeFormat "%10llu"

#define MagickULLConstant | ( | c |  | ) | (MagickSizeType) (c ## ULL)

#define MaxColormapSize 65536UL

#define MaxMap 65535UL

#define MaxRGB QuantumRange

#define QuantumFormat "%u"

#define QuantumRange 65535UL

## Typedef Documentation

typedef struct _BlobInfo BlobInfo

typedef struct _ExceptionInfo ExceptionInfo

typedef struct _Image Image

typedef struct _ImageInfo ImageInfo

typedef long long MagickOffsetType

typedef double MagickRealType

typedef unsigned long long MagickSizeType

typedef unsigned int MagickStatusType

typedef unsigned short Quantum

typedef unsigned long QuantumAny

## Enumeration Type Documentation

enum ChannelType

Enumerator:

  UndefinedChannel |
  RedChannel |
  GrayChannel |
  CyanChannel |
  GreenChannel |
  MagentaChannel |
  BlueChannel |
  YellowChannel |
  AlphaChannel |
  OpacityChannel |
  MatteChannel |
  BlackChannel |
  IndexChannel |
  AllChannels |
  DefaultChannels |

enum ClassType

Enumerator:

  UndefinedClass |
  DirectClass |
  PseudoClass |

enum MagickBooleanType

Enumerator:

  MagickFalse |
  MagickTrue |